<div *ngIf="errorMessage" class="alert alert-danger" role="alert">
    {{errorMessage}}
</div>
<div class="d-flex justify-content-center align-items-center" style="height: 100%;">
    <div class="bg-light auth-box">
        <h3 class="text-center">Register</h3>
        <p style="margin-bottom: 0;">
            <mat-form-field appearance="outline">
                <mat-label>Username</mat-label>
                <input matInput #email name="email" placeholder="Enter Email">
                <mat-icon matPrefix>email</mat-icon>
            </mat-form-field>
        </p>
        <p style="margin-bottom: 0;">
            <mat-form-field appearance="outline">
                <mat-label>Password</mat-label>
                <input #password name="password" type="password" matInput placeholder="Enter Password">
                <mat-icon matPrefix>lock</mat-icon>
            </mat-form-field>
        </p>
        <!-- <p>
            <mat-form-field appearance="outline">
                <mat-label>Confirm Password</mat-label>
                <input matInput placeholder="Enter Password" type="password">
                <mat-icon matPrefix>lock</mat-icon>
            </mat-form-field>
        </p> -->
        <p class="text-center">
            <button type="button" (click)="register(email.value,password.value)"
                class="btn btn-primary">Register</button>
        </p>
        <!-- <p class="text-center"  style="margin-bottom: 0;"><a  routerLink="/login">Login</a></p> -->
    </div>
</div>